<template>
  <div>
    <h3 class="title">Документы</h3>

    <div class="subtitle">
      <b>Свидетельство о регистрации транспортного средства (СТС)</b>
    </div>

    <div class="documents">
      <div class="row">
        <div class="col-xs-12 col-sm-6">
          <div class="uploader-label">
            <b>Лицевая</b> сторона, с информацией про ТС (рег. номер, марка,
            модель и т.д.) <span class="-light-raspberry-red">*</span>
          </div>

          <div
            v-if="!isFileUploaded('VEHICLE_PASSPORT')"
            class="documents__example front"
          >
            Образец
          </div>

          <ObUploader
            :upload-method="uploadMethod"
            :upload-options="getUploadOptions()"
            :class="[ 'uploader', { 'hidden': isFileUploaded('VEHICLE_PASSPORT') } ]"
            @process-start="onFilesProcessStart"
            @change="onUpload('VEHICLE_PASSPORT', $event)"
          />
        </div>

        <div class="col-xs-12 col-sm-6">
          <div class="uploader-label">
            <b>Оборотная сторона</b>, с информацией про собственника
            (ФИО и т.д.) <span class="-light-raspberry-red">*</span>
          </div>

          <div
            v-if="!isFileUploaded('VEHICLE_PASSPORT', 'BACK')"
            class="documents__example back"
          >
            Образец
          </div>

          <ObUploader
            :upload-method="uploadMethod"
            :upload-options="getUploadOptions('BACK')"
            :class="[ 'uploader', { 'hidden': isFileUploaded('VEHICLE_PASSPORT', 'BACK') } ]"
            @process-start="onFilesProcessStart"
            @change="onUpload('VEHICLE_PASSPORT', $event, 'BACK')"
          />
        </div>
      </div>
    </div>

    <div class="subtitle">
      Паспорт транспортного средства (ПТС) (необязательно)
    </div>

    <div class="row">
      <div class="col-xs-12 col-sm-6">
        <ObUploader
          :upload-method="uploadMethod"
          :upload-options="getUploadOptions()"
          :class="[ 'uploader', { 'hidden': isFileUploaded('PTS') } ]"
          @process-start="onFilesProcessStart"
          @change="onUpload('PTS', $event)"
        />
      </div>
    </div>
  </div>
</template>

<script>
  import uploaderMixin from '../mixins/uploaderMixin'
  import ObUploader from 'common-components/src/obComponents/obUploader'

  export default {
    name: 'Documents',
    mixins: [
      uploaderMixin
    ],
    components: {
      ObUploader
    },
    props: {
      links: {
        type: Object,
        required: true
      }
    },
    methods: {
      onUpload (key, data, side) {
        this.$emit('upload', key, data, side)
      }
    }
  }
</script>

<style lang="scss" scoped>
  @import "~common-components/src/static/css/mixins";
  @import "../styles/addFormStyles";

  .documents {
    margin-bottom: 35px;

    &__example {
      @include font-mixin(48px, 20px, 900, $style-white);

      display: flex;
      align-items: center;
      justify-content: center;
      width: 100%;
      height: 228px;
      text-shadow: 0 4px 10px rgba(0, 0, 0, 0.4);
      background-repeat: no-repeat;
      background-position: center;
      text-transform: uppercase;
      margin-bottom: 10px;

      &.front {
        background-image: url('~@/assets/images/resources/vehicle-passport-front.png');
      }

      &.back {
        background-image: url('~@/assets/images/resources/vehicle-passport-back.png');
      }
    }
  }

  // Special styles for uploaders offsets

  $offset: 20px;

  .row {
    margin-left: -$offset;
    margin-right: -$offset;

    [class*="col-"], {
      padding-left: $offset;
      padding-right: $offset;
    }
  }
</style>